| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Structures | Macros | Typedefs | Enumerations | Functions
isf.h File Reference

Main ISF header file. Contains code common to all ISF components. More...

`#include "mqxlite.h"`
`#include "isf_types.h"`
Include dependency graph for isf.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | isf_lib_info_t
| This structure holds the ISF library information such as version and part number. More...
struct | device_info_t
| This structure holds the ROM device information such as version and part number and is returned by the _fw_device_info_get() command. More...

## Macros
#define | MAX_ISF_APPLICATIONS (32)
| Maximum number of applications. More...
#define | APP_ID_NULL (0)
| Null application ID. More...
#define | USER_APP_ID_START (ISF_APP_ID_LAST)
#define | ISF_TASK_INDEX_START (50)
| ISF starting task index. More...

## Typedefs
typedef int32 | isf_status_t
| ISF return status type. More...
typedef uint32 | isf_duration_t
| ISF time duration in microseconds. More...

## Enumerations
enum | isf_status_enum { ISF_SUCCESS = 0, ISF_ERR_LIB_INIT = 1 }
| ISF library return status type. More...
enum | isf_app_id_enum { ISF_APP_ID_DEV_INFO = 0, ISF_APP_ID_MBOX = 1, ISF_APP_ID_LAST }
| ISF application number. More...

## Functions
isf_lib_info_t * | isf_lib_get_info (void)
| API ISF library get information. More...
isf_status_t | isf_lib_init (void *pNull)
| API ISF library get information. More...
void | _fw_device_info_get (device_info_t *info_ptr)
uint32 | isf_time_util_get_usec (void)
| This API returns the time in microseconds. More...

## Detailed Description

Main ISF header file. Contains code common to all ISF components.

Definition in file isf.h.

## Macro Definition Documentation

#define APP_ID_NULL (0)

Null application ID.

Value for null application ID.

Definition at line 78 of file isf.h.

Referenced by ci_qr_update(), and ci_update_first_data_mb().

#define ISF_TASK_INDEX_START (50)

ISF starting task index.

This define specifies the starting task index of ISF
tasks. The user should use task index that are LOWER than
the value stated here.

Definition at line 205 of file isf.h.

#define MAX_ISF_APPLICATIONS (32)

Maximum number of applications.

The maximum number of applications that can exists. Note
that the application id can be anywhere between APP_ID_NULL and
NO_APP_FBID_INDX, but the maximum number of those applications
is limited to the value set here.

Definition at line 70 of file isf.h.

Referenced by ci_mbox_init().

#define USER_APP_ID_START (ISF_APP_ID_LAST)

Definition at line 192 of file isf.h.

## Typedef Documentation

isf_duration_t

ISF time duration in microseconds.

Definition at line 59 of file isf.h.

isf_status_t

ISF return status type.

ISF general success status for API functions.
Any value not equal to ISF_SUCCESS is considered a
failure and the error is application specific. See
application API documentation for specific error
definitions.

Definition at line 51 of file isf.h.

## Enumeration Type Documentation

enum isf_app_id_enum

ISF application number.

Enumerator
ISF_APP_ID_DEV_INFO |
ISF_APP_ID_MBOX |
ISF_APP_ID_LAST |

Definition at line 186 of file isf.h.

enum isf_status_enum

ISF library return status type.

Enumerator
ISF_SUCCESS | General ISF success status
ISF_ERR_LIB_INIT | General library initialization failure status.

Definition at line 29 of file isf.h.

## Function Documentation

void _fw_device_info_get | ( | device_info_t * | info_ptr | ) |

Definition at line 68 of file isf.c.

References device_info_t::build_code, isf_lib_info_t::buildCode, device_info_t::fw_version, isf_lib_get_info(), isf_lib_info_t::majorVersion, isf_lib_info_t::minorVersion, device_info_t::part_number, and isf_lib_info_t::partNumber.

Referenced by ci_mbox_init(), and isf_app_callback_dev_info().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_lib_info_t* isf_lib_get_info | ( | void |  | ) |

API ISF library get information.

The isf_lib_get_info() function is called by an application that needs
retrieve library version and part number that the library is targeted for.

Returns
  Pointer to isf_lib_info_t structure containing the
  library information.

Errors:

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

See also

Definition at line 34 of file isf.c.

Referenced by _fw_device_info_get().

Here is the caller graph for this function:

isf_status_t isf_lib_init | ( | void * | pOptions | ) |

API ISF library get information.

The isf_lib_get_info() function is called by an application that needs
retrieve library version and part number that the library is targeted for.

Returns
  ISF_SUCCESS if initialization was successful.
  ISF_ERR_LIB_INIT if tasks were not created properly.

Errors:

Constraints:

Reentrant: No

Link Libraries:

See also

API ISF library get information.

Definition at line 18 of file isf_init.c.

Referenced by TaskApp1_task().

Here is the caller graph for this function:

uint32 isf_time_util_get_usec | ( | void |  | ) |

This API returns the time in microseconds.

This API call uses the RTOS services to calculate and return the elapsed time since the system started running. Note that if the elapsed time has exceeded a 32bit value, that is 2^32-1 or 4294.96 seconds, then the time elapsed will rollover and start at zero.

Returns
  isf_time_util_get_usec() returns a value of type uint32 providing the number of microseconds since the system started running.

Constraints:
  None

Reentrant: No

Link Libraries:
  libisf_core.a

Definition at line 52 of file isf_util.c.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mpl3115_i2c_1D_press_PeriodicCallback(), and isr_bm_callback_tmr().

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.